Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156981 - libtiff buffer overflow
Summary: libtiff buffer overflow
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtiff
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: impact=important,public=20050505,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 20:45 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-12 13:19:28 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-05 20:45:36 UTC
+++ This bug was initially created as a clone of Bug #156980 +++

A stack based buffer overflow issue exists in libtiff's TIFFOpen() call.  See
the upstream bugzilla for more information:
http://bugzilla.remotesensing.org/show_bug.cgi?id=843

Comment 1 Josh Bressers 2005-05-05 20:46:17 UTC
The patch for this issue is attachment 114069 [details]

Comment 4 Matthias Clasen 2005-05-12 13:19:28 UTC
Fixed in Rawhide now


Note You need to log in before you can comment on or make changes to this bug.